import { CurrencyPair } from "./types";
// import * as Icon from 'react-cryptocoins'
import { Btc, Eth, Xmr } from 'react-cryptocoins';

export function symbolToPair(symbol: string): CurrencyPair {
    const symbol_regex = "t(?<base>[a-zA-Z]{3})(?<quote>[a-zA-Z]{3})"

    const match = symbol.match(symbol_regex)

    if (!match?.groups) {
        return { base: "undefined", quote: "undefined" }
    }

    return {
        base: match.groups.base,
        quote: match.groups.quote
    }
}

export type SymbolAccesory = {
    name: string,
    icon: React.Component,
    color: string
}

export const SymbolAccessories: Array<SymbolAccesory> = [
    {
        name: "BTC",
        icon: Btc,
        color: "yellow"
    },
    {
        name: "XMR",
        icon: Xmr,
        color: "yellow"
    },
    {
        name: "ETH",
        icon: Eth,
        color: "yellow"
    }
];



